<?php
$host = 'localhost';
$db = 'pspascxu_muhmad_ajiar';
$user = 'pspascxu_muhmad_ajiar';
$pass = 'muhmad_ajiar';      // تأكد من كلمة المرور
$charset = 'utf8mb4';

$dsn = "mysql:host=$host;dbname=$db;charset=$charset";
$options = [
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION, // مهم جداً لعرض الأخطاء
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
    PDO::ATTR_EMULATE_PREPARES   => false,
];

try {
     $conn = new PDO($dsn, $user, $pass, $options);
} catch (\PDOException $e) {
     // يمكنك تعديل هذه الرسالة في بيئة الإنتاج لتكون أقل تفصيلاً
     throw new \PDOException($e->getMessage(), (int)$e->getCode());
}



// تشغيل الجلسات في جميع الملفات
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}
?>




                                                                                                                                                               